<div class="split-layout">
  <div id="new-delivery-page" class="fit-content">
    <form ng-submit="saveNewDelivery()">
      <div class="section-group">
        <h2>Route</h2>
        <div class="delivery-address">
          <h3>Pickup</h3>
          <div class="delivery-address-wrapper">
            <div class="delivery-address-country">
              <custom-select
                placeholder="selectCountryPlaceholder"
                options="countries"
                selected="newDelivery.pickup.country"
              ></custom-select>
            </div>
            <span class="separator">,</span>
            <div class="delivery-address-address">
              <custom-input
                model="newDelivery.pickup.address"
                placeholder="addressPlaceholder"
              ></custom-input>
            </div>
          </div>
        </div>
        <div class="delivery-address">
          <h3>Delivery</h3>
          <div class="delivery-address-wrapper">
            <div class="delivery-address-country">
              <custom-select
                placeholder="selectCountryPlaceholder"
                options="countries"
                selected="newDelivery.delivery.country"
              ></custom-select>
            </div>
            <span class="separator">,</span>
            <div class="delivery-address-address">
              <custom-input
                model="newDelivery.delivery.address"
                placeholder="addressPlaceholder"
              ></custom-input>
            </div>
          </div>
        </div>
      </div>
      <div class="section-group">
        <h2>Freight details</h2>
        <div class="quantity-and-type-of-goods">
          <h3>What will you send?</h3>
          <div class="quantity-and-type-of-goods-wrapper">
            <div class="quantity-and-type-of-goods-quantity">
              <custom-select
                options="quantities"
                selected="newDelivery.quantity"
              ></custom-select>
            </div>
            <span class="separator">of</span>
            <div class="quantity-and-type-of-goods-type">
              <custom-select
                options="goodsTypes"
                selected="newDelivery.goodsType"
              ></custom-select>
            </div>
          </div>
        </div>
        <div class="package-properties">
          <custom-input
            model="newDelivery.width"
            label="Width"
            icon="fa-arrows-alt-h"
            append="cm"
          ></custom-input>
          <custom-input
            model="newDelivery.length"
            label="Length"
            icon="fa-expand-alt"
            append="cm"
          ></custom-input>
          <custom-input
            model="newDelivery.height"
            label="Height"
            icon="fa-arrows-alt-v"
            append="cm"
          ></custom-input>
          <custom-input
            model="newDelivery.weight"
            label="Weight"
            icon="fa-weight-hanging"
            append="kg"
          ></custom-input>
        </div>
      </div>
      <div class="section-group">
        <h2>Date and Time</h2>
        <!-- TODO: Import some external lib to handle date and time picking -->
        <div class="datetime-range-picker labeled">
          <div class="datetime-range-picker-label">
            <h3>When do you want it picked up?</h3>
          </div>
          <div class="datetime-range-picker-wrapper">
            <div class="datepicker custom-input">
              <input type="text" placeholder="Select a date" />
            </div>
            <span>from</span>
            <div class="timepicker custom-input">
              <input type="text" placeholder="Select a time" />
            </div>
            <span>to</span>
            <div class="timepicker custom-input">
              <input type="text" placeholder="Select a time" />
            </div>
          </div>
        </div>
        <div class="datetime-range-picker labeled">
          <div class="datetime-range-picker-label">
            <h3>... and delivered?</h3>
          </div>
          <div class="datetime-range-picker-wrapper">
            <div class="datepicker custom-input">
              <input type="text" placeholder="Select a date" />
            </div>
            <span>from</span>
            <div class="timepicker custom-input">
              <input type="text" placeholder="Select a time" />
            </div>
            <span>to</span>
            <div class="timepicker custom-input">
              <input type="text" placeholder="Select a time" />
            </div>
          </div>
        </div>
      </div>
      <div class="section-group actions-group">
        <button class="custom-button" type="submit">Save</button>
      </div>
    </form>
  </div>
  <div>
    <div class="map" id="mapbox_map"></div>
  </div>
</div>
